Imprescindibles para Ubuntu con un sólo clic

El nuevo Ubuntu Gutsy Gibbon incluye una característica llamada apturl que añade el soporte del nuevo protocolo apt:// a Firefox. Esto significa que podemos crear enlaces del tipo <a href=”apt://gedit”>Gedit</a> que al ser pulsados instalarán el paquete indicado. En Feisty Fawn y Debian se puede activar instalando el paquete apturl.

Estos son algunos de los paquetes que yo considero imprescindibles para Ubuntu con sus respectivos enlaces apt para que los podáis instalar con facilidad.

Códecs / Multimedia

  1. gstreamer0.10-ffmpeg: Códecs para algunos de los formatos más populares (MPEG, DivX, MPEG4, AC3, DV, …)
  2. gstreamer0.10-plugins-bad: Códecs que no se consideran suficientemente buenos para pertenecer al pack por defecto (necesitan mejorar el código, falta documentación, no los utiliza mucha gente, etc.)
  3. gstreamer0.10-plugins-bad-multiverse: Similar al anterior pero de multiverse
  4. gstreamer0.10-plugins-ugly: Códecs que no son 100% software libre
  5. gstreamer0.10-plugins-ugly-multiverse: Similar al anterior, pero en multiverse. En este paquete se encuentra el códec para archivos MP3s.
  6. mplayer-nogui: Potente reproductor de vídeo
  7. banshee: Reproductor de audio

Navegador

  1. msttcorefonts: Fuentes TrueType de Windows.
  2. flashplugin-nonfree: Plugin Flash para Mozilla, Firefox, Iceweasel e Iceape.
  3. sun-java6-plugin: Plugin Java para Firefox, Mozilla, Iceweasel, Iceape, etc

Compiz Fusion

  1. compizconfig-settings-manager: Configurar Compiz Fusion
  2. xserver-xgl: Necesario para activar Compiz Fusion con ATI si nos muestra el error The Composite extension is not available

Deskmod

  1. tango-icon-theme: Iconos Tango
  2. tango-icon-theme-common: Iconos Tango realizados por el equipo Ubuntu Art
  3. tango-icon-theme-extras: Más iconos de estilo Tango

P2P

  1. deluge-torrent: Cliente de bittorrent
  2. amule: eMule

Otros

  1. checkgmail: Notificador de correo entrante para Gmail
  2. most: Paginador más potente que less o more
  3. rar: Soporte para crear archivos rar
  4. unrar: Soporte para descomprimir archivos rar
  5. startupmanager: Configurar Grub fácilmente
  6. filezilla: Cliente FTP
  7. nautilus-open-terminal: “Abrir terminal aquí” en el menú contextual de Nautilus.
  8. liferea: Lector de feeds
  9. brasero: Grabador de CDs / DVDs
  10. build-essential: Librerías y programas básicos para compilar.

¿Qué programas añadiríais vosotros a la lista?

Comentarios
  1. […] Imprescindibles para Ubuntu con un sólo clicmundogeek.net/archivos/2007/10/22/imprescindibles-para-ubunt… por ojovirtual hace pocos segundos […]

    Responder

  2. Hola, el otro día publiqué cóm actualizar Firefox a la 2.0.0.8 con soporte apt y ubufox en gutsy. También lo conseguí con Flock.
    Muy buena lista la que has puesto, voy a repasarla un poco por si se me ha quedado algo por instalar 😉

    Saludos

    Responder

  3. Muy bueno, voy a ponerlo ya mismo.

    Saludos

    Responder

  4. En el apartado “otros” pondría también p7zip-full para comprimir/descomprimir ficheros en este formato.

    Responder

  5. Gracias por la info. Ya estoy instalando el plugin de Java para Firefox 😉

    Responder

  6. Por añadir algunos:
    Audacious: un reproductor simple (yo lo uso para cuando quiero escuchar uno o dos mp3 y no abrir “toda la colección” con exaile/amarok/banshee/*
    Scite: editor simple.
    gFtp

    Responder

  7. lll001100lll

    build-essential
    esta en el cd pero no se instala por defecto. siempre útil para compilar programas que no vienen en .deb.
    Alien, también es una herramienta necesaria por si hay que instalar paquetes de otras distro. (.rpm)

    ¿no hay sección juegos?

    Responder

  8. Que no habia visto lo de sugerir más….

    Pues yo añadiría el aMSN y el SciTE (editor de textos).

    Saludos

    Responder

  9. Yo añadiría: Bluefish (editor de texto / lenguajes de programación) y el EasyTag.

    Responder

  10. Javier

    Yo añadiria Quanta, gftp y gdesklets

    Responder

  11. Sin duda añadiria el amsn, pero de todas formas la encuentro muy completa, ideal, ahora cada uno que escoja lo que mas le gusta y al lio.

    Saludos

    Responder

  12. Bueno, si no os importa os edito los comentarios para que todas las menciones a programas sean enlaces apt y la gente los pueda instalar más fácilmente 🙂

    Muchas gracias por las sugerencias 🙂

    Responder

  13. Bueno pongo checkinstall filezilla liferea gwget devhelp geany alltray hardinfo
    y no sigo porque si no me matas 😉
    Saludos 🙂

    Responder

  14. gran aporte Zootropo!

    Responder

  15. David c

    Sigue así con este blog, a los que somos nulos con Ubuntu nos ayudas muchísimo.

    GRACIAS!

    Responder

  16. lo del apt:// lo veo muy bien.

    Por cierto ¿como forzar que inicie el xserver-xgl? En la anotación del fallo no me contesta nadie. Perdon por el off-topic.

    Responder

  17. Ferk

    Yo para video prefiero el apt://vlc y pa programar el apt://emacs ..pero vamos, cuestion de gustos.

    luego.. algunas cosillas prácticas como apt://gclip apt://htop apt://nautilus-gksu

    apt://wine siempre lo instalo por si acaso, aunqe por suerte no suelo necesitar usarlo.

    Responder

  18. elfrench

    hola a todos.

    Yo personalmete añadiría una aplicación diseñada para KDE, pero que en mi opinión es sin duda la mejor aplicación para grabar CD’s y DVD’s del software libre:

    K3B

    Responder

  19. Ferk

    pues sí,. la verdad es que pinta muy bien lo del apturl, por lo que se hasta se pueden añadir repositorios externos.

    Y tambien instalar varios paquetes con un solo link, separandolos por comas..
    apt://gstreamer0.10-ffmpeg,gstreamer0.10-plugins-bad,

    Responder

  20. Lamento el spam, pero como ya dije en Genbeta, para instalar la mayoría de los paquetes que comentas, los no libres, basta con hacer apt:ubuntu-restricted-extras o apt:kubuntu-restricted-extras, dependiendo de tu versión 😉

    Responder

  21. Soy más partidario de “Listen” que de “Banshee”, me parece mucho más completo el primero

    Responder

  22. Ferk, se podía pero se ha eliminado por motivos de seguridad. Van a discutir sobre volver a activarlo en la próxima reunión de desarrolladores

    Responder

  23. Gracias, Víctor, lo sé.

    Instala los códecs, los plugins de flash y java y las fuentes windows.

    Pero los he separado paquete a paquete porque no todo el mundo tiene por qué querer instalarlos todos…

    Responder

  24. A mí también me gusta mucho Listen Mark, como se puede desprender de que fuera el reproductor al que más nota le dí en su día en mi comparativa de reproductores para Linux

    Es solo que en el tema de los reproductores de audio voy por temporadas 😛

    Responder

  25. No te negaré, que yo también voy a temporadas 😛

    Responder

  26. Mario

    Pues yo para música (al menos para quien tenga bastante música) he de recomendar amarok, impresionante sin duda

    Responder

  27. soymicmic

    Buenas….
    las ansias me pudieron y actualice a firefox 2.08 con ubuntuzilla y me temo que ya no tengo disponible el apturl ni el ubufox 🙁
    ¿alguna sugerencia?

    Ah! Y sobre reproductores: Exaile es mi elegido

    Responder

  28. […] esta nueva funcionalidad de Ubuntu/Debian y derivados, en Mundo Geek han creado una lista de paquetes básicos que no deberían faltar en ningún ordenador de ningún […]

    Responder

  29. @soymicmic->Ubutnu acaba hoy de actualizar firefox a la 2.0.0.8. En mi blog puse anteayer un script que sí actualiza firefox a la 2.0.0.8 con apt-url y ubufox inclusives. Te lo instala en /opt y no te altera para nada el firefox de ubuntu. Aunque te recomiendo que desinstales antes el de ubuntuzilla. Ese programa vi su código y es inmenso, no entiendo para qué tanto código cuando con zenity y apenas 15 líneas obtienes un script limpio y totalmente funcional.
    Prometo actualizar el script según vayan saliendo nuevas versiones de Firefox 😉

    Saludos 🙂

    Responder

  30. Firefox 2.0.08 ya está en los repositorios, para el que le interese 😛

    sudo aptitude update
    sudo aptitude upgrade

    Responder

  31. Juraría que escribí eso mismo en mi anterior comentario 😯
    A veces tengo la impresión que nadie me hace caso, será que no se expresarme 😯

    Saludos 😉

    Responder

  32. ¡Ouch! sorry Cristobal.

    Leí tu comentario a primera hora y para cuando me llegó el aviso de la actualización ya no lo recordaba…

    Responder

  33. […] informacion | MundoGeek Tambien te puede […]

    Responder

  34. soymicmic

    😉 Da gusto esto de la información global

    Chas gracias!

    Responder

  35. buhosjg

    Felicidades por el sitio. Añadiría el programa nvu para la edición de páginasweb.
    Salu2.

    Responder

  36. Javi-5-

    Buenas

    Lo primero felicidades por el blog, y ahora, un poquito de “paquetería”:

    apt://pidgin lo único que no me acaba de gustar es el logo, por lo demas perfecto; simple y con lo necesario

    apt://pidgin-plugin-pack creo que no necesita descripción, por cierto, hay un montón! (de los cuales uso 3) xD

    apt://kcheckgmail Se que has puesto la variante para gnome, pero siempre viene bien saber que algunos no tendremos que cargar sus librerías para un programa como este.

    Incluiría mas, pero entiendo que estos son paquetes destinados a la mayoría de usuarios linux, y como los otros ya son mas especificos dudo que se deban incluir en una lista como esta.

    Saludos y a seguir

    Responder

  37. […] es poner a punto una instalación nueva con drivers y utilidades de escritorio puedes aprovechar la instalación de imprescindibles para Ubuntu con un sólo clic del blog de […]

    Responder

  38. DiZo

    Es la primera vez que me pasa, pero cosas más raras se han visto, he instalado los códecs de GStreamer, y lo gracioso es que cualquier divx, xvid, etc, se ven en un tono verde azulado y dan saltos. Alguien sabe como se soluciona esto ?

    Saludos, DiZo.

    Responder

  39. Buenas, la verdad es que está la ostia de wapo, pero en worpress.com (donde tengo mi blog) no puedo poner éste tipo de links porque al publicar me traduce apt://taltal a http://taltal.

    Me supongo que es algún tipo de corrección automática, ¿alguien sabe como se puede solucionar la cosa?

    Muchas gracias, saludos 😀

    Responder

  40. joder, aquí tambíen pasa…. no sé si es que el firefox lo autocorrige o que. ¿a alguien le pasa lo mismo?

    Responder

  41. Pues no sé de que va, he probado en otro blog de un colega (fuera de wordpress.com) y ahí si me lo hace bien, pero aquí en el mensaje de antes tb me sale mal.

    Me estoy rayando xD

    Responder

  42. Utiliza HTML luiX_
    Por ejemplo <a href=”apt://gedit”>gedit</a> da como resultado gedit

    Responder

  43. Zootropo, he usado html, pero no sé si el wordpress.com me lo corrige al publicar por alguna opción que venga por defecto (digo en el blog del palo de blog.wordpress.com) porque en otro blog montado con wordpress a pelo no me pasa, me sale bien el link.

    Y aquí voy a meterlo en html:
    gedit
    ahí he pegado exactamente lo que has puesto tu y me sale así 😛

    Responder

  44. VLC!!! Donde esta el vlc? Y tambien Pidgin deberia ser añadido alli por su facilidad.

    Y aunque es para firefox, no nos olvidemos de la combinacion Adblock Plus + Adblock Elemental Hiding Aplet.

    Responder

  45. marcelo

    Muuuuy bueno,
    me sirve un montón gracias por este gran aporte no sabía que esto existía.
    nuevamente, gracias.

    Responder

  46. Muy bueeeeeeeno, hasta he puesto un post en mi blog para extender esta información tan útiles para los iniciados y no iniciados en Ubuntu, la verdad es que es perfecto para integrad usuarios que odian o no saben teclear órdenes en consola. Gracias chicos

    Responder

  47. […] que no está incluido en los repositorios de Ubuntu, posiblemente aumentando las capacidades de apturl. Esta característica aún no ha sido aprobada, pero hay que tener en cuenta que en un principio […]

    Responder

  48. […] que no está incluido en los repositorios de Ubuntu, posiblemente aumentando las capacidades de apturl. Esta característica aún no ha sido aprobada, pero hay que tener en cuenta que en un principio […]

    Responder

  49. […] que no está incluido en los repositorios de Ubuntu, posiblemente aumentando las capacidades de apturl. Esta característica aún no ha sido aprobada, pero hay que tener en cuenta que en un principio […]

    Responder

  50. […] que no está incluido en los repositorios de Ubuntu, posiblemente aumentando las capacidades de apturl. Esta característica aún no ha sido aprobada, pero hay que tener en cuenta que en un principio […]

    Responder

Deja un comentario